Get a conversation
Retrieve a specific AI conversation by its ID.
GET
/
ai
/
conversations
/
{conversation_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conversation = await client.ai.conversations.retrieve('conversation_id');
console.log(conversation.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conversation = client.ai.conversations.retrieve(
"conversation_id",
)
print(conversation.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conversation, err := client.AI.Conversations.Get(context.TODO(), "conversation_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conversation.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveParams;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConversationRetrieveResponse conversation = client.ai().conversations().retrieve("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
conversation = telnyx.ai.conversations.retrieve("conversation_id")
puts(conversation)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$conversation = $client->ai->conversations->retrieve('conversation_id');
var_dump($conversation);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations retrieve \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2025-04-15T13:07:28.764Z",
"metadata": {
"telnyx_conversation_channel": "sms",
"telnyx_agent_target": "+13128675309",
"telnyx_end_user_target": "+13128675309",
"assistant_id": "assistant-123"
},
"last_message_at": "2025-04-15T13:07:28.764Z",
"name": ""
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conversation = await client.ai.conversations.retrieve('conversation_id');
console.log(conversation.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conversation = client.ai.conversations.retrieve(
"conversation_id",
)
print(conversation.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conversation, err := client.AI.Conversations.Get(context.TODO(), "conversation_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conversation.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveParams;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConversationRetrieveResponse conversation = client.ai().conversations().retrieve("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
conversation = telnyx.ai.conversations.retrieve("conversation_id")
puts(conversation)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$conversation = $client->ai->conversations->retrieve('conversation_id');
var_dump($conversation);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations retrieve \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2025-04-15T13:07:28.764Z",
"metadata": {
"telnyx_conversation_channel": "sms",
"telnyx_agent_target": "+13128675309",
"telnyx_end_user_target": "+13128675309",
"assistant_id": "assistant-123"
},
"last_message_at": "2025-04-15T13:07:28.764Z",
"name": ""
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}